Bug 1132162 - [RHEL-7] Upstream Bug 39673 - mod_proxy opens connections that disturb NTLM
Summary: [RHEL-7] Upstream Bug 39673 - mod_proxy opens connections that disturb NTLM
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik ✈
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 1122148
Blocks: 1205796 1298243 1420851 1132158
TreeView+ depends on / blocked
 
Reported: 2014-08-20 20:12 UTC by Coty Sutherland
Modified: 2019-07-11 08:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1122148
Environment:
Last Closed: 2018-12-05 13:33:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 39673 None None None 2019-04-24 21:46:25 UTC

Description Coty Sutherland 2014-08-20 20:12:49 UTC
+++ This bug was initially created as a clone of Bug #1122148 +++

Description of problem:
Customer requires the resolution for upstream bug 39673 (fix version 2.4) to be backported to RHEL 7 httpd (2.4.6). Other details are included upstream.

Version-Release number of selected component (if applicable):
httpd 2.4.6 - mod_proxy

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 9 Joe Orton 2018-12-05 13:33:55 UTC
As discussed in the upstream bug there is a protocol-level incompatibility between using connection-based authentication methods and HTTP, which is not truly resolvable. At best we could provide some band-aids here.


Note You need to log in before you can comment on or make changes to this bug.